GET /blockscout/transactions/{transaction_hash}

Path Parameters

transaction_hash string required path

Responses

200 Transaction Info
application/json
timestamp string REQUIRED
fee object REQUIRED
type string REQUIRED
value string REQUIRED
gas_limit integer REQUIRED
block_number integer (int32) REQUIRED
status string REQUIRED
method string REQUIRED
confirmations integer REQUIRED
type integer REQUIRED
exchange_rate string REQUIRED
to object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
transaction_burnt_fee string REQUIRED
max_fee_per_gas string REQUIRED
result string REQUIRED
hash string REQUIRED
gas_price string REQUIRED
priority_fee string REQUIRED
base_fee_per_gas string REQUIRED
from object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
token_transfers object[] REQUIRED
Array of:
block_hash string REQUIRED
from object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
log_index integer REQUIRED
method string
timestamp string
to object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
token object REQUIRED
circulating_market_cap string REQUIRED
icon_url string REQUIRED
name string REQUIRED
decimals string REQUIRED
symbol string REQUIRED
address string REQUIRED
type string REQUIRED
holders string REQUIRED
exchange_rate string REQUIRED
total_supply string REQUIRED
total unknown REQUIRED
transaction_hash string REQUIRED
type string REQUIRED
transaction_types string[] REQUIRED
Array of:
gas_used string REQUIRED
created_contract object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
position integer REQUIRED
nonce integer REQUIRED
has_error_in_internal_transactions boolean REQUIRED
actions unknown[] REQUIRED
Array of:
One of:
Option 1
data object REQUIRED
protocol string REQUIRED
type string REQUIRED
Option 2
data object REQUIRED
protocol string REQUIRED
type string REQUIRED
Option 3
data object REQUIRED
protocol string REQUIRED
type string REQUIRED
Option 4
data object REQUIRED
protocol string REQUIRED
type string REQUIRED
Option 5
data object REQUIRED
protocol string REQUIRED
type string REQUIRED
decoded_input object REQUIRED
method_call string REQUIRED
method_id string REQUIRED
parameters object[] REQUIRED
Array of:
name string REQUIRED
type string REQUIRED
value string REQUIRED
token_transfers_overflow boolean REQUIRED
raw_input string REQUIRED
value string REQUIRED
max_priority_fee_per_gas string REQUIRED
revert_reason string REQUIRED
confirmation_duration object REQUIRED
transaction_tag string REQUIRED
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/transactions/string'
const response = await fetch('https://data-api.b3.fun//blockscout/transactions/string', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//blockscout/transactions/string')
print(response.json())
200 Response
{
  "timestamp": "2022-08-02T07:18:05.000000Z",
  "fee": {
    "type": "maximum | actual",
    "value": "9853224000000000"
  },
  "gas_limit": 123,
  "block_number": 23484035,
  "status": "ok | error",
  "method": "transferFrom",
  "confirmations": 1035,
  "type": 2,
  "exchange_rate": "1866.51",
  "to": {
    "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
    "implementation_name": "implementationName",
    "name": "contractName",
    "ens_domain_name": "domain.eth",
    "metadata": {
      "slug": "tag_slug",
      "name": "Tag name",
      "tagType": "name",
      "ordinal": 0,
      "meta": {}
    },
    "is_contract": true,
    "private_tags": [
      {
        "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "display_name": "name to show",
        "label": "label"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "name to show",
        "label": "label"
      }
    ],
    "public_tags": [
      {
        "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "display_name": "name to show",
        "label": "label"
      }
    ],
    "is_verified": true
  },
  "transaction_burnt_fee": "1099596081903840",
  "max_fee_per_gas": "55357460102",
  "result": "Error: (Awaiting internal transactions for reason)",
  "hash": "0x5d90a9da2b8da402b11bc92c8011ec8a62a2d59da5c7ac4ae0f73ec51bb73368",
  "gas_price": "26668595172",
  "priority_fee": "2056916056308",
  "base_fee_per_gas": "26618801760",
  "from": {
    "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
    "implementation_name": "implementationName",
    "name": "contractName",
    "ens_domain_name": "domain.eth",
    "metadata": {
      "slug": "tag_slug",
      "name": "Tag name",
      "tagType": "name",
      "ordinal": 0,
      "meta": {}
    },
    "is_contract": true,
    "private_tags": [
      {
        "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "display_name": "name to show",
        "label": "label"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "name to show",
        "label": "label"
      }
    ],
    "public_tags": [
      {
        "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "display_name": "name to show",
        "label": "label"
      }
    ],
    "is_verified": true
  },
  "token_transfers": [
    {
      "block_hash": "0xf569ec751152b2f814001fc730f7797aa155e4bc3ba9cb6ba24bc2c8c9468c1a",
      "from": {
        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "implementation_name": "implementationName",
        "name": "contractName",
        "ens_domain_name": "domain.eth",
        "metadata": {
          "slug": "tag_slug",
          "name": "Tag name",
          "tagType": "name",
          "ordinal": 0,
          "meta": {}
        },
        "is_contract": true,
        "private_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "watchlist_names": [
          {
            "display_name": {},
            "label": {}
          }
        ],
        "public_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "is_verified": true
      },
      "log_index": 16,
      "method": "transfer",
      "timestamp": "2023-07-03T20:09:59.000000Z",
      "to": {
        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "implementation_name": "implementationName",
        "name": "contractName",
        "ens_domain_name": "domain.eth",
        "metadata": {
          "slug": "tag_slug",
          "name": "Tag name",
          "tagType": "name",
          "ordinal": 0,
          "meta": {}
        },
        "is_contract": true,
        "private_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "watchlist_names": [
          {
            "display_name": {},
            "label": {}
          }
        ],
        "public_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "is_verified": true
      },
      "token": {
        "circulating_market_cap": "83606435600.3635",
        "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
        "name": "Tether USD",
        "decimals": "6",
        "symbol": "USDT",
        "address": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
        "type": "ERC-20",
        "holders": "837494234523",
        "exchange_rate": "0.99",
        "total_supply": "10000000"
      },
      "total": {
        "decimals": "18",
        "value": "1000"
      },
      "transaction_hash": "0x6662ad1ad2ea899e9e27832dc202fd2ef915a5d2816c1142e6933cff93f7c592",
      "type": "token_transfer"
    }
  ],
  "transaction_types": [
    "token_transfer",
    "contract_creation",
    "contract_call",
    "token_creation",
    "coin_transfer"
  ],
  "gas_used": "41309",
  "created_contract": {
    "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
    "implementation_name": "implementationName",
    "name": "contractName",
    "ens_domain_name": "domain.eth",
    "metadata": {
      "slug": "tag_slug",
      "name": "Tag name",
      "tagType": "name",
      "ordinal": 0,
      "meta": {}
    },
    "is_contract": true,
    "private_tags": [
      {
        "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "display_name": "name to show",
        "label": "label"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "name to show",
        "label": "label"
      }
    ],
    "public_tags": [
      {
        "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "display_name": "name to show",
        "label": "label"
      }
    ],
    "is_verified": true
  },
  "position": 117,
  "nonce": 115,
  "has_error_in_internal_transactions": false,
  "actions": [
    {
      "data": {
        "debt_amount": "1.289548595490270429",
        "debt_symbol": "AAVE",
        "debt_address": "0x7Fc66500c84A76Ad7e9c93437bFc5Ac33E2DDaE9",
        "collateral_amount": "110.824768",
        "collateral_symbol": "USDC",
        "collateral_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
        "block_number": 1
      },
      "protocol": "aave_v3",
      "type": "liquidation_call"
    }
  ],
  "decoded_input": {
    "method_call": "transferFrom(address _from, address _to, uint256 _value)",
    "method_id": "23b872dd",
    "parameters": [
      {
        "name": "signature",
        "type": "bytes",
        "value": "0x0"
      }
    ]
  },
  "token_transfers_overflow": false,
  "raw_input": "0xa9059cbb000000000000000000000000ef8801eaf234ff82801821ffe2d78d60a0237f97000000000000000000000000000000000000000000000000000000003178cb80",
  "value": "0",
  "max_priority_fee_per_gas": "49793412",
  "revert_reason": "Error: (Awaiting internal transactions for reason)",
  "confirmation_duration": [
    0,
    17479
  ],
  "transaction_tag": "private_transaction_tag"
}
GET /blockscout/transactions/{transaction_hash}
Ask a question... ⌘I